Trick to play 3.0 fw games on 2.2?

Discussion in 'iPod touch' started by GopherTee, Jul 13, 2009.

  1. GopherTee

    GopherTee Member

    Joined:
    Feb 16, 2009
    Messages:
    50
    Likes Received:
    4
    Device:
    iPhone 5 (White)
    I know there is a tweak in Cydia to trick your ipod apps into thinking you are running a different firmware; but I believe this does not work for 3.0. To sum up my issue, I have purchased Slugger: Homerun Derby that is only compatible with the new 3.0 firmware. I feel my ipod touch 2G runs smoother on the 2.2.1 firmware. Is there anyway to still play this game on 2.2.1?
  2. iTouchGuru

    iTouchGuru New Member

    Joined:
    Jun 27, 2009
    Messages:
    393
    Likes Received:
    0
    Device:
    2G iPod touch
    Try FWChanger from Cydia.

    No guarentees.
  3. Appman

    Appman Community Development Staff Member

    Joined:
    Jul 9, 2009
    Messages:
    4,034
    Likes Received:
    56
    Device:
    4G iPod touch
    Someone just recently posted that fwchanger does work perfectly on 3.0.
  4. GopherTee

    GopherTee Member

    Joined:
    Feb 16, 2009
    Messages:
    50
    Likes Received:
    4
    Device:
    iPhone 5 (White)
    Not sure what I did wrong the first time when I would get errors trying to download but restored ipod and it works now. Thanks guys!
    ------------------double post merged------------------
    Is there a guide how to use FWChanger?
  5. Appman

    Appman Community Development Staff Member

    Joined:
    Jul 9, 2009
    Messages:
    4,034
    Likes Received:
    56
    Device:
    4G iPod touch
    It is pretty self explainatory. Just type in the firmware you want. Then the build.
    Example:
    Firmware:3.0
    Build:7A341
  6. GopherTee

    GopherTee Member

    Joined:
    Feb 16, 2009
    Messages:
    50
    Likes Received:
    4
    Device:
    iPhone 5 (White)
    That is exactly what I did but the games will not work. They appear to install but when you push the icon it goes back to the list of all your apps.
  7. Appman

    Appman Community Development Staff Member

    Joined:
    Jul 9, 2009
    Messages:
    4,034
    Likes Received:
    56
    Device:
    4G iPod touch
    Then I don't know what to suggest to you except for good luck. If I see anything I'll be sure to tell you.
  8. Clusterfunk

    Clusterfunk New Member

    Joined:
    Jan 8, 2009
    Messages:
    480
    Likes Received:
    0
    Device:
    iPhone 3GS (Black)
    Well, the app most likely has features that 2.x versions won't support. Just upgrade to 3.0 if you want the latest and greatest.
  9. Appman

    Appman Community Development Staff Member

    Joined:
    Jul 9, 2009
    Messages:
    4,034
    Likes Received:
    56
    Device:
    4G iPod touch
    Right on man!

Share This Page